<!doctype html>
<html lang="en">
<head>
    <%- include("../partials/head"); %>
</head>
<body>
<%- include("../partials/navbar"); %>
<main class="panel">
    <%- include("../partials/navigation"); %>
    <section class="tasks">
        <div class="tasks__inner">
            <h1 class="tasks__title">Tasks</h1>
        </div>
        <div class="tasks__table-content">
            <div class="tasks__cards">
                <div class="tasks__card" id="list__todo">
                    <h4 class="list-title">TODO</h4>
                    <ul class="tasks-list">
                        <% todo_tasks.forEach(task => { %>
                            <li>
                                <a class="task" href="tasks/<%= task.id %>">
                                    <h4 class="task__name"><%= task.name %></h4>
                                    <time><%= moment(task.date).format( 'MM.DD') %></time>
                                </a>
                            </li>
                        <% }); %>
                    </ul>
                    <a href='/tasks/new' class="btn__red btn">Add Task</a>
                </div>
                <div class="tasks__card" id="list_in_process">
                    <h4 class="list-title">In process</h4>
                    <ul class="tasks-list">
                        <% in_process_tasks.forEach(task => { %>
                            <li>
                                <a class="task" href="tasks/<%= task.id %>">
                                    <h4 class="task__name"><%= task.name %></h4>
                                    <time><%= moment(task.date).format( 'MM.DD') %></time>
                                </a>
                            </li>
                        <% }); %>
                    </ul>
                    <a href='/tasks/new' class="btn__red btn">Add Task</a>
                </div>
                <div class="tasks__card" id="list_done">
                    <h4 class="list-title">Done</h4>
                    <ul class="tasks-list">
                        <% done_tasks.forEach(task => { %>
                            <li>
                                <a class="task" href="tasks/<%= task.id %>">
                                    <h4 class="task__name"><%= task.name %></h4>
                                    <time><%= moment(task.date).format( 'MM.DD') %></time>
                                </a>
                            </li>
                        <% }); %>
                    </ul>
                    <a href='/tasks/new' class="btn__red btn">Add Task</a>
                </div>
            </div>
        </div>
    </section>
</main>

<!--    Scripts from Internet    -->
<script src="https://ajax.googleapis.com/ajax/libs/jquery/3.7.1/jquery.min.js"></script>
<script src="https://cdnjs.cloudflare.com/ajax/libs/jquery-validate/1.19.3/jquery.validate.min.js"></script>
<script src="https://cdn.jsdelivr.net/npm/dayjs@1.10.7/dayjs.min.js"></script>

<!--    My scripts    -->
<script src="../../assets/javascript/base.js" defer></script>
<script src="../../assets/javascript/plugins/modal.js" defer></script>
<script src="../../assets/javascript/plugins/confirm.js" defer></script>
<script src="../../assets/javascript/plugins/form_student.js" defer></script>
<script src="../../assets/javascript/plugins/flash.js" defer></script>
<script src="../../assets/javascript/ajax_student_requests.js" defer></script>
<script src="../../assets/javascript/index.js" defer></script>
<!--    <script src="app.js" defer></script>    -->
</body>
</html>
